LibreOffice LibreOffice 5.3 SDK API Reference

Classes | Enumerations
com::sun::star::mail Module Reference

Interfaces for Email connectivity. More...

## Classes
struct | MailAttachment
| A MailAttachment specifies a mail message attachment. More...
exception | MailException
| An MailException is the base of all mail related exceptions. More...
service | MailMessage
service | MailServiceProvider
exception | NoMailServiceProviderException
| A NoMailServiceProviderException will be thrown if an appropriate provider for requested mail service could not be found or could not be created. More...
exception | NoMailTransportProviderException
| A NoMailTransportProviderException will be thrown if an appropriate provider for sending mail messages could not be found or could not be created. More...
exception | SendMailMessageFailedException
| A SendFailedException will be thrown if a mail message could not be sent because the e-mail addresses of some recipients are invalid. More...
interface | XAuthenticator
| Represents an interface that will be used to query for user information which are necessary to login to a network resource. More...
interface | XConnectionListener
| The listener interface for connection events. More...
interface | XMailMessage
| Represents a mail message. More...
interface | XMailService
| Represents a mail server abstraction. More...
interface | XMailServiceProvider
| A factory for creating different mail services. More...
interface | XSmtpService
| Represents a SMTP service abstraction. More...

## Enumerations
enum | MailServiceType { SMTP, POP3, IMAP }

## Detailed Description

Interfaces for Email connectivity.

## Enumeration Type Documentation

## ◆ MailServiceType

enum MailServiceType

Since
  OOo 2.0

Enumerator
SMTP | A SMTP service.
POP3 | A POP3 service.
IMAP | A IMAP service.